Debian Bug report logs - #673048
dh-linktree: hard to use, gotchas not documented in manpage

version graph

Package: dh-linktree; Maintainer for dh-linktree is Raphaël Hertzog <hertzog@debian.org>; Source for dh-linktree is src:dh-linktree.

Reported by: Julian Taylor <jtaylor.debian@googlemail.com>

Date: Tue, 15 May 2012 17:57:08 UTC

Severity: normal

Found in version dh-linktree/0.2

Fixed in version dh-linktree/0.3

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Raphaël Hertzog <hertzog@debian.org>:
Bug#673048; Package dh-linktree. (Tue, 15 May 2012 17:57:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
New Bug report received and forwarded. Copy sent to Raphaël Hertzog <hertzog@debian.org>. (Tue, 15 May 2012 17:57:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dh-linktree: hard to use, gotchas not documented in manpage
Date: Tue, 15 May 2012 19:55:43 +0200
[Message part 1 (text/plain, inline)]
Package: dh-linktree
Version: 0.2
Severity: normal

every time I try to use dh_linktree (a tool that I very much missed up
now, thanks for providing it) I struggle with how to use it correctly.
It does not give very good error messages.
My most common mistake is a trailing slash in the arguments, e.g.:

dh_linktree -pipython-notebook-common embed
usr/share/javascript/jquery-ui/themes/
usr/share/ipython/notebook/static/jquery/css/themes

which results in dpkg --search arguments that look like this:
dpkg --search --
/usr/share/javascript/jquery-ui/themes//base/images/ui-bg_flat_0_aaaaaa_40x100.png
which fails

it is very hard to see that the double slash here: themes//base
causes dpkg --search to fail.

maybe dh_linktree should strip trailing slashes or at least document
this it in the manpage.

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Fri, 08 Jun 2012 08:51:28 GMT) Full text and rfc822 format available.

Notification sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Bug acknowledged by developer. (Fri, 08 Jun 2012 08:51:28 GMT) Full text and rfc822 format available.

Message #10 received at 673048-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 673048-close@bugs.debian.org
Subject: Bug#673048: fixed in dh-linktree 0.3
Date: Fri, 08 Jun 2012 08:47:53 +0000
Source: dh-linktree
Source-Version: 0.3

We believe that the bug you reported is fixed in the latest version of
dh-linktree, which is due to be installed in the Debian FTP archive:

dh-linktree_0.3.dsc
  to main/d/dh-linktree/dh-linktree_0.3.dsc
dh-linktree_0.3.tar.gz
  to main/d/dh-linktree/dh-linktree_0.3.tar.gz
dh-linktree_0.3_all.deb
  to main/d/dh-linktree/dh-linktree_0.3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673048@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated dh-linktree package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 08 Jun 2012 09:44:25 +0200
Source: dh-linktree
Binary: dh-linktree
Architecture: source all
Version: 0.3
Distribution: unstable
Urgency: low
Maintainer: Raphaël Hertzog <hertzog@debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 dh-linktree - Create symlink trees within a Debian package
Closes: 673048
Changes: 
 dh-linktree (0.3) unstable; urgency=low
 .
   * Use File::Spec->canonpath() to standardize the paths given on input.
     Closes: #673048
   * Greatly expand the explanations in the manual page to cover:
     - the main use case
     - the rationale behind the usage of symlink trees
     - the type of dependencies which are generated
     - the most common failure
   * Update Standards-Version to 3.9.3 (no change).
Checksums-Sha1: 
 0579853d4214df1c0947e70955dd7f7514cca3c1 1600 dh-linktree_0.3.dsc
 1d8cb05909b347e16fad8bc8881347ba89625f7f 5872 dh-linktree_0.3.tar.gz
 66aeedc63412eda261756cc8152a566404a7d441 10790 dh-linktree_0.3_all.deb
Checksums-Sha256: 
 967ed28dc9f2d05e2fed580f0499a286c8ac3d2aea36590e9a5a53ea84e4727f 1600 dh-linktree_0.3.dsc
 17f712c2df5dd782d15d976d939997cc05d871a351045bff648b08c202acad3a 5872 dh-linktree_0.3.tar.gz
 05ae57c1be014432d52b6124df1447ba18529b1534c1463d6fd4f7de12184a3f 10790 dh-linktree_0.3_all.deb
Files: 
 2ce4fe4204fdd797a7a888924071cfbb 1600 devel optional dh-linktree_0.3.dsc
 0756a1f94d0b20170bf5b9b276777c30 5872 devel optional dh-linktree_0.3.tar.gz
 240f360976a23ed37ab8da82e3805188 10790 devel optional dh-linktree_0.3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQIcBAEBCAAGBQJP0bcaAAoJEOYZBF3yrHKaHTUP/R34QveU7Vh8Gd7MsC99fZ/G
TMZ2NnTI9VQ6FAPoEmKkpvLw9dOo1+6GhKMDIsf/AAX4DKiEujpkbDKyjF/K9xS8
/VruGWprWhPeT5nv2irWLknqxq9Z8Lo7qHCTkS/MbTXrd7QdAPKJAtllqwuDsvf3
YoxAkiIybrKY0lzNXleGeooUxeEY0FEIvxBk/ydpIv9jiWZ+/V0qJhZrg9oVo1LS
6CezW92qfxm6s4wlzHGyeRNGAGlLUCx4OftfujEYSGim1lsP8SqWH9BD81RmuebG
bBrG+pbuoEvSowKRyKw6ZTPvJNQO1G1tejzwBn+qvaWBMkTqvOPmDC4+CMMI1ctm
qnuvKHe1xu4zYaWeO1Hv7fqecm7U4BFNdMNjgUkOXU5ycC5C9YtWZAJiMIoodyZG
LfCatdtKtxnDnPFCNsLgg5eMafIzrKQvBYdUJUPfi13a4n4f+YdyenE2IIL7lOv5
kuDg73iumW2eP7zWkY7eDp5zmzaPhVBeelwA5TB7k9NHB0K1q2ozVloyQy7YY8Gw
CsCyvufgdLP4cKGfKJ5x+fU3BySjbalEu0u9kjKl9KWhSNQWt/78kx+SOftIchME
d/bB/7NJrmfrxLK7oNZ8oEDVHWPD7xbUQwXjFzmwbnKlSgtZTeg1SZeu3aupm0kM
BQ9wIo1FTteuxm122yXi
=7R1c
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 Jul 2012 07:28:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:36:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.